package cn.com.infosec.mobile.android.managers;

import android.content.Context;
import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import cn.com.infosec.mobile.android.IMSCertAndTokenAction;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.json.JSONObject;

@Keep
public class CertAndTokenManager {
   private IMSCertAndTokenAction imsCertAndTokenAction;
   private boolean isUpdate;

   public CertAndTokenManager(Context context) {
      CertAndTokenManager var10000 = this;
      super();
      IMSCertAndTokenAction var2;
      var2 = new IMSCertAndTokenAction.<init>(context);
      var10000.imsCertAndTokenAction = var2;
   }

   private Result doGet(String userName, String PIN) {
      Exception var10000;
      label196: {
         boolean var10001;
         boolean var34;
         try {
            var34 = IMSSdk.isCertAvailable();
         } catch (Exception var31) {
            var10000 = var31;
            var10001 = false;
            break label196;
         }

         String var10002;
         Logger var35;
         Level var36;
         if (var34) {
            try {
               var34 = IMSSdk.isTokenAvailable();
            } catch (Exception var30) {
               var10000 = var30;
               var10001 = false;
               break label196;
            }

            if (var34) {
               try {
                  var34 = IMSSdk.isPairedCert();
               } catch (Exception var27) {
                  var10000 = var27;
                  var10001 = false;
                  break label196;
               }

               if (var34) {
                  try {
                     var35 = IMSSdk.mLogger;
                     var36 = Level.SEVERE;
                  } catch (Exception var8) {
                     var10000 = var8;
                     var10001 = false;
                     break label196;
                  }

                  var10002 = "获取服务器公钥失败:不支持双证模式";

                  try {
                     var35.log(var36, var10002, new String[]{userName});
                     XLog.d("获取服务器公钥失败:不支持双证模式" + userName);
                     return new Result("IE1013", "不支持双证模式");
                  } catch (Exception var7) {
                     var10000 = var7;
                     var10001 = false;
                     break label196;
                  }
               } else {
                  try {
                     var34 = IMSSdk.isCollaborative();
                  } catch (Exception var26) {
                     var10000 = var26;
                     var10001 = false;
                     break label196;
                  }

                  if (var34) {
                     try {
                        var35 = IMSSdk.mLogger;
                        var36 = Level.SEVERE;
                     } catch (Exception var10) {
                        var10000 = var10;
                        var10001 = false;
                        break label196;
                     }

                     var10002 = "获取服务器公钥失败:不支持协同模式";

                     try {
                        var35.log(var36, var10002, new String[]{userName});
                        XLog.d("获取服务器公钥失败:不支持协同模式" + userName);
                        return new Result("IE1013", "不支持协同模式");
                     } catch (Exception var9) {
                        var10000 = var9;
                        var10001 = false;
                        break label196;
                     }
                  } else {
                     int var37;
                     try {
                        var37 = this.imsCertAndTokenAction.genP10Model();
                     } catch (Exception var25) {
                        var10000 = var25;
                        var10001 = false;
                        break label196;
                     }

                     if (var37 != 0) {
                        try {
                           var35 = IMSSdk.mLogger;
                           var36 = Level.SEVERE;
                        } catch (Exception var12) {
                           var10000 = var12;
                           var10001 = false;
                           break label196;
                        }

                        var10002 = "获取服务器公钥失败:不支持服务器端生成P10模式";

                        try {
                           var35.log(var36, var10002, new String[]{userName});
                           XLog.d("获取服务器公钥失败:不支持服务器端生成P10模式" + userName);
                           return new Result("IE1013", "不支持服务器端生成P10模式");
                        } catch (Exception var11) {
                           var10000 = var11;
                           var10001 = false;
                           break label196;
                        }
                     } else {
                        try {
                           var34 = this.imsCertAndTokenAction.isCollaborative();
                        } catch (Exception var24) {
                           var10000 = var24;
                           var10001 = false;
                           break label196;
                        }

                        Map var3;
                        String var38;
                        Map var39;
                        CertAndTokenManager var40;
                        if (var34) {
                           try {
                              var39 = this.imsCertAndTokenAction.serverPubKeyBegin(userName, (String)null);
                           } catch (Exception var16) {
                              var10000 = var16;
                              var10001 = false;
                              break label196;
                           }

                           var3 = var39;
                           if (var39 == null) {
                              try {
                                 return this.imsCertAndTokenAction.getLatestResult();
                              } catch (Exception var13) {
                                 var10000 = var13;
                                 var10001 = false;
                                 break label196;
                              }
                           } else {
                              NetworkInterface var10003;
                              try {
                                 var40 = this;
                                 var38 = userName;
                                 var10002 = PIN;
                                 var10003 = IMSSdk.networkInterface;
                              } catch (Exception var15) {
                                 var10000 = var15;
                                 var10001 = false;
                                 break label196;
                              }

                              String var10004 = "/";

                              try {
                                 return var40.collaborateP10(var38, var10002, var10003.httpPost(var10004.concat(IMSSdk.APP_NAME).concat("/user/genenrateKey"), var3));
                              } catch (Exception var14) {
                                 var10000 = var14;
                                 var10001 = false;
                                 break label196;
                              }
                           }
                        } else {
                           try {
                              var39 = this.imsCertAndTokenAction.certBegin(userName, PIN);
                           } catch (Exception var23) {
                              var10000 = var23;
                              var10001 = false;
                              break label196;
                           }

                           var3 = var39;
                           if (var39 == null) {
                              try {
                                 return this.imsCertAndTokenAction.getLatestResult();
                              } catch (Exception var17) {
                                 var10000 = var17;
                                 var10001 = false;
                                 break label196;
                              }
                           } else {
                              NetworkInterface var41;
                              try {
                                 var40 = this;
                                 var41 = IMSSdk.networkInterface;
                              } catch (Exception var22) {
                                 var10000 = var22;
                                 var10001 = false;
                                 break label196;
                              }

                              NetworkInterface var4 = var41;
                              var38 = "/";

                              try {
                                 var38 = var38.concat(IMSSdk.APP_NAME);
                              } catch (Exception var21) {
                                 var10000 = var21;
                                 var10001 = false;
                                 break label196;
                              }

                              String var5 = var38;

                              try {
                                 var34 = var40.isUpdate;
                              } catch (Exception var20) {
                                 var10000 = var20;
                                 var10001 = false;
                                 break label196;
                              }

                              String var6;
                              if (var34) {
                                 var6 = "/cert/updateCertAndUpdateOptKey";
                              } else {
                                 var6 = "/cert/requestCertAndGetOptKey";
                              }

                              JSONObject var42;
                              try {
                                 var40 = this;
                                 var42 = var4.httpPost(var5.concat(var6), var3);
                              } catch (Exception var19) {
                                 var10000 = var19;
                                 var10001 = false;
                                 break label196;
                              }

                              JSONObject var32 = var42;

                              try {
                                 return var40.imsCertAndTokenAction.certFinal(userName, PIN, var32);
                              } catch (Exception var18) {
                                 var10000 = var18;
                                 var10001 = false;
                                 break label196;
                              }
                           }
                        }
                     }
                  }
               }
            }
         }

         try {
            var35 = IMSSdk.mLogger;
            var36 = Level.SEVERE;
         } catch (Exception var29) {
            var10000 = var29;
            var10001 = false;
            break label196;
         }

         var10002 = "获取服务器公钥失败:没有证书或者令牌权限";

         try {
            var35.log(var36, var10002, new String[]{userName});
            XLog.d("获取服务器公钥失败:没有证书或者令牌权限" + userName);
            return new Result("IE1055");
         } catch (Exception var28) {
            var10000 = var28;
            var10001 = false;
         }
      }

      Exception var33 = var10000;
      var33.printStackTrace();
      return new Result("IE1015", var33);
   }

   private Result collaborateP10(@NonNull String userName, @NonNull String PIN, @NonNull JSONObject callbackData) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsCertAndTokenAction.collaborateP10Begin(userName, PIN, (String)null, callbackData);
         } catch (Exception var9) {
            var10000 = var9;
            var10001 = false;
            break label41;
         }

         Map var4 = var11;
         if (var11 == null) {
            try {
               return this.imsCertAndTokenAction.getLatestResult();
            } catch (Exception var5) {
               var10000 = var5;
               var10001 = false;
            }
         } else {
            label43: {
               CertAndTokenManager var12;
               String var13;
               String var10002;
               JSONObject var10003;
               NetworkInterface var10004;
               try {
                  var12 = this;
                  var13 = userName;
                  var10002 = PIN;
                  var10003 = callbackData;
                  var10004 = IMSSdk.networkInterface;
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
                  break label43;
               }

               String var10005 = "/";

               try {
                  var10004.httpPost(var10005.concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew"), var4);
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               try {
                  return var12.collaborateCert(var13, var10002, var10003);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
               }
            }
         }
      }

      Exception var10 = var10000;
      var10.printStackTrace();
      return new Result("IE1015", var10);
   }

   private Result collaborateCert(@NonNull String userName, @NonNull String PIN, @NonNull JSONObject callbackData) {
      Exception var10000;
      label60: {
         Map var16;
         boolean var10001;
         try {
            var16 = this.imsCertAndTokenAction.collaborateCertBegin(userName, PIN, callbackData);
         } catch (Exception var14) {
            var10000 = var14;
            var10001 = false;
            break label60;
         }

         Map var4 = var16;
         if (var16 == null) {
            try {
               return this.imsCertAndTokenAction.getLatestResult();
            } catch (Exception var8) {
               var10000 = var8;
               var10001 = false;
            }
         } else {
            label62: {
               CertAndTokenManager var17;
               NetworkInterface var18;
               try {
                  var17 = this;
                  var18 = IMSSdk.networkInterface;
               } catch (Exception var13) {
                  var10000 = var13;
                  var10001 = false;
                  break label62;
               }

               NetworkInterface var5 = var18;
               String var19 = "/";

               try {
                  var19 = var19.concat(IMSSdk.APP_NAME);
               } catch (Exception var12) {
                  var10000 = var12;
                  var10001 = false;
                  break label62;
               }

               String var6 = var19;

               boolean var20;
               try {
                  var20 = var17.isUpdate;
               } catch (Exception var11) {
                  var10000 = var11;
                  var10001 = false;
                  break label62;
               }

               String var7;
               if (var20) {
                  var7 = "/cert/updateCertAndUpdateOptKey";
               } else {
                  var7 = "/cert/requestCertAndGetOptKey";
               }

               try {
                  var17 = this;
                  var5.httpPost(var6.concat(var7), var4);
               } catch (Exception var10) {
                  var10000 = var10;
                  var10001 = false;
                  break label62;
               }

               try {
                  return var17.imsCertAndTokenAction.collaborateCertFinal(userName, PIN, callbackData);
               } catch (Exception var9) {
                  var10000 = var9;
                  var10001 = false;
               }
            }
         }
      }

      Exception var15 = var10000;
      var15.printStackTrace();
      return new Result("IE1015", var15);
   }

   public void request(@NonNull String userName, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      this.isUpdate = false;
      resultListener.handleResult(this.doGet(userName, PIN));
   }

   public void update(@NonNull String userName, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      this.isUpdate = true;
      resultListener.handleResult(this.doGet(userName, PIN));
   }

   public Result request(@NonNull String userName, @NonNull String PIN) {
      this.isUpdate = false;
      return this.doGet(userName, PIN);
   }

   public Result update(@NonNull String userName, @NonNull String PIN) {
      this.isUpdate = true;
      return this.doGet(userName, PIN);
   }
}
